# Camera

## Camera

클라이언트에서 사용되는 카메라 서비스 객체에요.

### **함수**

<br>

| **void SetSettingName(string name)** |
| ------------------------------------ |

캐릭터에 적용할 카메라 세팅의 이름을 설정할 수 있어요. (설정할 이름 값)

<br>

| **void PlayCameraShake(number time, number scale)** |
| --------------------------------------------------- |

카메라 쉐이크를 시작해요. (쉐이크 시간, 쉐이크 강도)

\-- 샘플 --

```lua
local shakeTime = 5
local shakeScale = 2
Camera:PlayCameraShake(shakeTime, shakeScale)

wait(1)
print("Stop Shake!")
Camera:StopCameraShake(true)
```

<br>

| **void StopCameraShake(bool bImmediately)** |
| ------------------------------------------- |

카메라 쉐이크를 중지시켜요. (즉시중지 여부)

\-- 샘플 --

```lua
local shakeTime = 5
local shakeScale = 2
Camera:PlayCameraShake(shakeTime, shakeScale)

wait(1)
print("Stop Shake!")
Camera:StopCameraShake(true)
```

<br>

| **void PlayCameraFade(number FromAlpha, number ToAlpha, number Duration, Color Color, bool HoldFinish)** |
| -------------------------------------------------------------------------------------------------------- |

카메라 페이드를 시작해요. (시작 강도 0~~1, 종료 강도 0~~1, 시작에서 종료까지 걸리는 시간, 적용할 [Color](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/color) 값, 종료 시점 상태 유지 여부)

\-- 샘플 --

```lua
local fromAlpha = 0
local toAlpha = 1
local duration = 3
local color = Color.new(255, 0, 0, 255)
local holdFinish = true
Camera:PlayCameraFade(fromAlpha, toAlpha, duration, color, holdFinish)

wait(1)
print("Stop Fade!")
Camera:StopCameraFade()
```

<br>

| **void StopCameraFade()** |
| ------------------------- |

카메라 페이드를 정지시켜요.

\-- 샘플 --

```lua
local fromAlpha = 0
local toAlpha = 1
local duration = 3
local color = Color.new(255, 0, 0, 255)
local holdFinish = true
Camera:PlayCameraFade(fromAlpha, toAlpha, duration, color, holdFinish)

wait(1)
print("Stop Fade!")
Camera:StopCameraFade()
```

\ <br>

## **사용 가능한 부모 오브젝트 기능들**

### **속성**

| **이름**                                                                                | **설명**               |
| ------------------------------------------------------------------------------------- | -------------------- |
| [**Parent**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/object) | **부모 객체를 얻을 수 있어요.** |
| [**Name**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/object)   | **객체의 이름입니다.**       |

### **이벤트**

| **이름** | **설명** |
| ------ | ------ |

### **함수**

| **이름**                                                                                                    | **설명**                                                                                                                                                                                         |
| --------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [**ConnectChangeEventFunction**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/object) | **추가된 값이 변경 될 때 호출되는 이벤트에요. (Value 이름, 연결 함수)**                                                                                                                                                |
| [**GetChild**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/object)                   | **이름으로 자식 객체를 얻을 수 있어요. (찾고싶은 자식 객체 이름)**                                                                                                                                                      |
| [**GetChildList**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/object)               | **자식 객체의 리스트를 얻을 수 있어요.**                                                                                                                                                                      |
| [**IsCharacter**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/object)                | **캐릭터인지 확인할 수 있어요.**                                                                                                                                                                           |
| [**IsStaticMesh**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/object)               | **스테틱 메시인지 확인할 수 있어요.**                                                                                                                                                                        |
| [**IsFX**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/object)                       | **FX인지 확인할 수 있어요.**                                                                                                                                                                            |
| [**IsSound**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/object)                    | **Sound인지 확인할 수 있어요.**                                                                                                                                                                         |
| [**IsPointLight**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/object)               | **포인트 라이트인지 확인할 수 있어요.**                                                                                                                                                                       |
| [**IsSpotLight**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/object)                | **스포트 라이트인지 확인할 수 있어요.**                                                                                                                                                                       |
| [**IsSurfaceUI**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/object)                | **서피스 UI인지 확인할 수 있어요.**                                                                                                                                                                        |
| [**IsScreenUI**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/object)                 | **스크린 UI인지 확인할 수 있어요.**                                                                                                                                                                        |
| [**IsTouchUI**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/object)                  | **터치 UI인지 확인할 수 있어요.**                                                                                                                                                                         |
| [**IsItem**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/object)                     | **아이템인지 확인할 수 있어요.**                                                                                                                                                                           |
| [**IsNPC**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/object)                      | **NPC인지 확인할 수 있어요.**                                                                                                                                                                           |
| [**IsScript**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/object)                   | **스트립트인지 확인할 수 있어요.**                                                                                                                                                                          |
| [**IsCollider**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/object)                 | **Collider인지 확인할 수 있어요.**                                                                                                                                                                      |
| [**IsWidget**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/object)                   | **Widget인지 확인할 수 있어요.**                                                                                                                                                                        |
| [**IsCamera**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/object)                   | **Camera인지 확인할 수 있어요.**                                                                                                                                                                        |
| [**IsValid**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/object)                    | **해당 오브젝트가 유효한지 확인 할 수있어요.**                                                                                                                                                                   |
| [**IsValidValue**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/object)               | **해당 오브젝트의 값이 유효한지 확인할 수 있어요.**                                                                                                                                                                |
| [**AddReplicateValue**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/object)          | **해당 객체에 서버, 클라이언트 간 동기화가 가능한 벡터를 추가해요. (추가할 Value 이름, Vector 데이터,** [**Enum.ReplicateType.타입**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/enums/replicatetype) **, 동기화 시간)**  |
| [**AddReplicateValue**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/object)          | **해당 객체에 서버, 클라이언트 간 동기화가 가능한 실수를 추가해요. (추가할 Value 이름, number 데이터,** [**Enum.ReplicateType.타입**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/enums/replicatetype) **, 동기화 시간)**  |
| [**AddReplicateValue**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/object)          | **해당 객체에 서버, 클라이언트 간 동기화가 가능한 bool를 추가해요. (추가할 Value 이름, bool 데이터,** [**Enum.ReplicateType.타입**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/enums/replicatetype) **, 동기화 시간)**  |
| [**AddReplicateValue**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/object)          | **해당 객체에 서버, 클라이언트 간 동기화가 가능한 문자열을 추가해요. (추가할 Value 이름, string 데이터,** [**Enum.ReplicateType.타입**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/enums/replicatetype) **, 동기화 시간)** |
| [**AddReplicateValue**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/object)          | **해당 객체에 서버, 클라이언트 간 동기화가 가능한 컬러를 추가해요. (추가할 Value 이름, Color 데이터,** [**Enum.ReplicateType.타입**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/enums/replicatetype) **, 동기화 시간)**   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://ditoland-utplus.gitbook.io/ditoland/api-reference/client/camera.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
